﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ChartFontSize
{
   public class ChartSample : ContentPage
    {
        ObservableCollection<ChartDataPoint> datas;

        public ChartSample()
        {
            SfChart chart = new SfChart();

            datas = new ObservableCollection<ChartDataPoint>();
            datas.Add(new ChartDataPoint("January", 20));
            datas.Add(new ChartDataPoint("Febuary", 25));
            datas.Add(new ChartDataPoint("March", 30));
            datas.Add(new ChartDataPoint("April", 15));
            datas.Add(new ChartDataPoint("May", 20));
            datas.Add(new ChartDataPoint("June", 20));
            datas.Add(new ChartDataPoint("July", 25));
            datas.Add(new ChartDataPoint("Augest", 30));
            datas.Add(new ChartDataPoint("September", 15));
            datas.Add(new ChartDataPoint("October", 20));

            CategoryAxis xAxis = new CategoryAxis();
            xAxis.LabelRotationAngle = -45;
            chart.PrimaryAxis = xAxis;

            NumericalAxis yAxis = new NumericalAxis();
            chart.SecondaryAxis = yAxis;

            ColumnSeries series = new ColumnSeries();
            series.ItemsSource = datas;
            series.DataMarker = new ChartDataMarker() { ShowMarker = false, ShowLabel = true };
            series.DataMarker.LabelContent = LabelContent.Percentage;
            series.DataMarker.LabelStyle.Angle = 270;
            series.DataMarker.LabelStyle.BackgroundColor = Color.Transparent;
            series.ColorModel.Palette = ChartColorPalette.Metro;

            chart.Series.Add(series);

            chart.ChartBehaviors.Add(new ChartZoomPanBehavior());

            Content = chart;
        }
    }
}
